
INSTALLATION
--------------------------------
1.
Put simpleconnect in your modules folder
Goto admin/modules
enable SimpleConnect module

2.
Goto admin/config/services/rest
enable the following resources:  
 Connect => POST => json => cookie
 Login => POST => json => cookie
 Logout => POST => json => cookie
 Register => POST => json => cookie

3.
After enabling the resources goto admin/people/permissions
under restful web services enable the following permissions:
 Access GET on token resource for all users
 Access POST on connect resource for all users
 Access POST on login resource for anonymous user
 Access POST on register resource for anonymous user
 Access POST on logout resource for authenticated user


USAGE
--------------------------------
All Strings should be tranlateable
Once you have anabled SimpleConnect youcon include the following javascript sources to use SimpleConnect 
[yoursite]/simpleconnect/es5js
[yoursite]/simpleconnect/es6js



GET rest/simpleconnect/token => 
string

POST rest/simpleconnect/connect =>
{'uid' => int,
 'username' => string,
 'roles' => array}

POST rest/simpleconnect/login =>
{'uid' => int,
 'username' => string,
 'roles' => array,
 'token' => string,
 'session' => string}

POST rest/simpleconnect/logout =>
{'uid' => int,
 'username' => string,
 'roles' => array}

POST rest/simpleconnect/register =>
{'uid' => int,
 'username' => string,
 'roles' => array}



Zugriff GET auf Token Ressource
Zugriff POST auf Connect Ressource
Zugriff POST auf Login Ressource
Zugriff POST auf Register Ressource
Zugriff POST auf Logout Ressource



Username is required 406
Password is required 406
Email is required  406
Email already registered 403
Username already exists 406
This route is only accessible by anonymous users 403
Wrong username or password 403
You are not logged in 403




OLD D8 Endpoints
session/token
jdrupal/connect?_format=json
user/login?_format=json
user/logout?_format=json&logoutToken=XXXX
user/register?_format=json

OLD D7 Endpoints
services/session/token
drupalgap/system/connect
drupalgap/user/login
drupalgap/user/logout
drupalgap/user/register

New endpoints on D7 and D8
rest/simpleconnect/token?_format=json
rest/simpleconnect/connect?_format=json
rest/simpleconnect/login?_format=json
rest/simpleconnect/logout?_format=json
rest/simpleconnect/register?_format=json







Post Connect permissions for anonymous user
Post Login permissions for anonymous user
Post Register permissions for anonymous user
Post Logout permissions for authenticated user


$route=\Drupal::routeMatch()->getRouteName();
